package com.goafanti.permission.service;

import java.util.List;
import java.util.Map;
import java.util.Set;

import com.goafanti.common.model.Permission;
import com.goafanti.permission.bo.Menu;
import com.goafanti.permission.bo.Navigation;

public interface PermissionService {

	int deleteByPrimaryKeys(List<String> ids);

	// 根据用户ID查询权限（permission），放入到Authorization里。
	Set<String> findPermissionByUserId(String userId);

	List<Permission> findPermissions();

	int insert(List<Permission> records);
	
	int insertn(Permission record);
	
	Permission selectSuperIdById(String id);
	
	int insertSubordinate(Permission record);
	
	int deleteById(String id);
	
	Permission selectAllById(String id);
	
	List<Permission> selectName(String name);
	
	int updateById(Permission record);
	
	Map<String,Object> findPermissionsAll();
	
	List<Navigation> selectNavList();

	List<Menu> selectMenuList(String superId);
	
	/** 查询 一级菜单通过三级菜单 **/
	String selectTopNavBySubUrl(String subUrl);
}
